Bug 114020 - tux initscript simplification
Summary: tux initscript simplification
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tux (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 14:51 UTC by Karsten Hopp
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 14:47:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2004-01-21 14:51:18 UTC
Description of problem: 
the tux initscript uses 3 commands to determine the number of CPUs 
and doesn't even set LANG=C to speed up grep: 
NRCPUS=$(cat /proc/cpuinfo | grep '^processor[   0-9]*:' | wc -l) 
 
This should be replaced by 
NRCPUS=$(/usr/bin/getconf _NPROCESSORS_ONLN)


Note You need to log in before you can comment on or make changes to this bug.